public class TestPassByValue {
  /** Metoda main */
  public static void main(String[] args) {
    // Deklarowanie i inicjowanie zmiennych
    int num1 = 1;
    int num2 = 2;

    System.out.println("Przed wywołaniem metody swap num1 to " +
      num1 + ", a num2 to " + num2);

    // Wywołanie metody swap w celu przestawienia wartości dwóch zmiennych
    swap(num1, num2);

    System.out.println("Po wywołaniu metody swap num1 to " +
      num1 + ", a num2 to " + num2);
  }

  /** Przestawia dwie zmienne */
  public static void swap(int n1, int n2) {
    System.out.println("\tW metodzie swap");
    System.out.println("\t\tPrzed przestawieniem n1 to " + n1
      + ", a n2 to " + n2);

    // Przestawia n1 z n2
    int temp = n1;
    n1 = n2;
    n2 = temp;

    System.out.println("\t\tPo przestawieniu n1 to " + n1
      + ", a n2 to " + n2);
  }
}
